Bug 539636 - g++ stop on Engrid software compilation process
g++ stop on Engrid software compilation process
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-20 13:39 EST by nuovodna
Modified: 2010-02-11 11:51 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-11 11:51:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description nuovodna 2009-11-20 13:39:37 EST
Description of problem:
g++ stopped a long time on compilation of Engrid software. The entire compilation process takes about 2 hours instead of only few minutes

Version-Release number of selected component (if applicable):
Current version of gcc-c++ on Fedora 12
Using built-in specs.
Target: i686-redhat-linux
Configured with: ../configure --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --with-bugurl=http://bugzilla.redhat.com/bugzilla --enable-bootstrap --enable-shared --enable-threads=posix --enable-checking=release --with-system-zlib --enable-__cxa_atexit --disable-libunwind-exceptions --enable-gnu-unique-object --enable-languages=c,c++,objc,obj-c++,java,fortran,ada --enable-java-awt=gtk --disable-dssi --enable-plugin --with-java-home=/usr/lib/jvm/java-1.5.0-gcj-1.5.0.0/jre --enable-libgcj-multifile --enable-java-maintainer-mode --with-ecj-jar=/usr/share/java/eclipse-ecj.jar --disable-libjava-multilib --with-ppl --with-cloog --with-tune=generic --with-arch=i686 --build=i686-redhat-linux
Thread model: posix
gcc version 4.4.2 20091027 (Red Hat 4.4.2-7) (GCC) 

How reproducible:
Download the Engrid sources and compile it. Have to install vtk-devel, vtk-qt, qt-devel, qt-gui

Steps to Reproduce:
1.
git clone git://78.140.120.226/git/engrid.git
cd engrid
git checkout -b release origin/release
2.
export VTKLIBDIR=/usr/lib/
export VTKINCDIR=/usr/include/vtk
3.
Enter in src directory
./scripts/build-nglib.sh  (to compile netgen-mesher)
4.
qmake
make

  
Actual results:
Make command stopped on this warning too many times

g++ -c -pipe -DENGRID_VERSION=\"`git describe`\" -Wall -Wno-deprecated -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fstack-protector --param=ssp-buffer-size=4 -m32 -march=i686 -mtune=atom -fasynchronous-unwind-tables -D_REENTRANT -Wall -W -DQT_NO_DEBUG -DQT_XML_LIB -DQT_OPENGL_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED -I/usr/lib/qt4/mkspecs/linux-g++ -I. -I/usr/include/QtCore -I/usr/include/QtNetwork -I/usr/include/QtGui -I/usr/include/QtOpenGL -I/usr/include/QtXml -I/usr/include -I/usr/include/vtk -Inetgen_svn/netgen-mesher/netgen/nglib -Inetgen_svn/netgen-mesher/netgen/libsrc/general -I/usr/X11R6/include -Irelease -I. -o release/guimainwindow.o guimainwindow.cpp
guimainwindow.cpp: In constructor ‘GuiMainWindow::GuiMainWindow()’:
guimainwindow.cpp:140: warning: ignoring return value of ‘FILE* freopen(const char*, const char*, FILE*)’, declared with attribute warn_unused_result
guimainwindow.cpp: In constructor ‘GuiMainWindow::GuiMainWindow()’:
guimainwindow.cpp:140: warning: ignoring return value of ‘FILE* freopen(const char*, const char*, FILE*)’, declared with attribute warn_unused_result
guimainwindow.cpp: In constructor ‘GuiMainWindow::GuiMainWindow()’:
guimainwindow.cpp:140: warning: ignoring return value of ‘FILE* freopen(const char*, const char*, FILE*)’, declared with attribute warn_unused_result

Expected results:
Make command compiles the software in few minutes (on Intel(R) Pentium(R) Dual  CPU  T2390  @ 1.86GHz)


Additional info:

The same bug verified on another fresh install fedora 12 box
Comment 1 Jakub Jelinek 2009-12-15 11:14:23 EST
Please attach preprocessed source - guimainwindow.ii (add -save-temps to the command line or use -E instead of -c).
Comment 2 Jakub Jelinek 2010-01-13 04:04:10 EST
Please try http://kojipkgs.fedoraproject.org/packages/gcc/4.4.2/24.fc12/
Comment 3 nuovodna 2010-01-13 12:35:17 EST
at this moment i cannot download sources for unavailability of the engrid main server. I ll try when it'll available.
Comment 4 nuovodna 2010-01-14 08:29:31 EST
problem fixed with koji packages!!
Comment 5 Jakub Jelinek 2010-02-11 11:51:27 EST
Should be fixed in gcc-4.4.3-4.fc12.

Note You need to log in before you can comment on or make changes to this bug.